#include <iostream>
#include "string_convert.hh"

int main()
{
  
  // Converting an Arbitrary Type to String
  string val = "boo! ";
  StringAdd(val, 10.76);
  cout << "string val = " << val << endl;
  
  
  // Converting from One Arbitrary Type to Another
  string s="18.67";
  double d = CastStream <double> (s);
  cout << "double d = " << d << endl;
  
  return 0;
}
